Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_array_as_json()

Warning

Deprecated since version 1.29.0: Use bson_array_as_canonical_extended_json() and bson_array_as_relaxed_extended_json() instead, which use the same MongoDB Extended JSON format as all other MongoDB drivers.

To continue producing Legacy Extended JSON, use bson_array_as_legacy_extended_json().

## Synopsis

    char *
    bson_array_as_json (const bson_t *bson, size_t *length);

## Parameters

- `bson`: A bson_t.

- `length`: An optional location for the length of the resulting string.

## Description

bson_array_as_json() encodes `bson` as a UTF-8 string using libbson’s Legacy Extended JSON. The outermost element is encoded as a JSON array (`[ ... ]`), rather than a JSON document (`{ ... }`).

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, `length` will be set to the length of the result in bytes.

## Returns

If successful, a newly allocated UTF-8 encoded string and `length` is set.

Upon failure, NULL is returned.

See also

bson_as_canonical_extended_json()
bson_as_relaxed_extended_json()
bson_as_legacy_extended_json()
bson_as_json() (Deprecated)
bson_as_json_with_opts()
bson_array_as_canonical_extended_json()
bson_array_as_relaxed_extended_json()
bson_array_as_legacy_extended_json()
bson_array_as_json() (Deprecated)